Bug 1316489 - OData - update of clob value using HTTP method PATCH does not set correct value of the column
OData - update of clob value using HTTP method PATCH does not set correct val...
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 06:06 EST by Juraj Duráni
Modified: 2016-06-03 17:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 17:10:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4048 Major Closed OData - update of clob value using HTTP method PATCH does not set correct value of the column 2016-06-03 17:03 EDT

  None (edit)
Description Juraj Duráni 2016-03-10 06:06:06 EST
Description of problem:
This affects both XML and JSON format.

*URL:* http://localhost:8080/odata4/olingo_basic/Source/PatchTable(2)
*Entity:* 
<?xml version='1.0' encoding='UTF-8'?>
<entry xmlns="http://www.w3.org/2005/Atom" xmlns:xml="http://www.w3.org/XML/1998/namespace"
    xmlns:m="http://docs.oasis-open.org/odata/ns/metadata" xmlns:d="http://docs.oasis-open.org/odata/ns/data"
    xmlns:gml="http://www.opengis.net/gml" xmlns:georss="http://www.georss.org/georss">
    <category scheme="http://docs.oasis-open.org/odata/ns/scheme" />
    <content type="application/xml">
        <m:properties>
            <d:intnum m:type="Int32">4</d:intnum>
            <d:stringval>4</d:stringval>
            <d:timestampval m:type="DateTimeOffset">2004-01-01T00:00:04Z</d:timestampval>
            <d:clobval m:type="Binary">Y2xvYl92YWx1ZV8wMDAwNA==</d:clobval>
        </m:properties>
    </content>
</entry>

*Result of GET:*
<d:clobval m:type="Binary">NjM2YzZmNjI1Zjc2NjE2Yzc1NjU1ZjMwMzAzMDMwMzU=</d:clobval>
Comment 1 JBoss JIRA Server 2016-03-17 16:55:25 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4048 to Resolved
Comment 2 Van Halbert 2016-03-17 17:10:24 EDT
Rejected by engineer and explained why on the TEIID-4048 jira.
Comment 3 JBoss JIRA Server 2016-06-03 17:03:38 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4048 to Closed

Note You need to log in before you can comment on or make changes to this bug.